Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class GenerateKey

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.GenerateKey

public class GenerateKey
extends Task

Generates a key.

Author:
  Peter Donald

Inner Class Summary
`static class` | `GenerateKey.DistinguishedName`
`static class` | `GenerateKey.DnameParam`

Field Summary
`protected java.lang.String` | `alias` The alias of signer.
`protected java.lang.String` | `dname`
`protected GenerateKey.DistinguishedName` | `expandedDname`
`protected java.lang.String` | `keyalg`
`protected java.lang.String` | `keypass`
`protected int` | `keysize`
`protected java.lang.String` | `keystore` The name of keystore file.
`protected java.lang.String` | `sigalg`
`protected java.lang.String` | `storepass`
`protected java.lang.String` | `storetype`
`protected int` | `validity`
`protected boolean` | `verbose`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`GenerateKey()`

Method Summary
`GenerateKey.DistinguishedName` | `createDname()`
`void` | `execute()` Called by the project to let the task do it's work.
`void` | `setAlias(java.lang.String alias)`
`void` | `setDname(java.lang.String dname)`
`void` | `setKeyalg(java.lang.String keyalg)`
`void` | `setKeypass(java.lang.String keypass)`
`void` | `setKeysize(java.lang.String keysize)`
`void` | `setKeystore(java.lang.String keystore)`
`void` | `setSigalg(java.lang.String sigalg)`
`void` | `setStorepass(java.lang.String storepass)`
`void` | `setStoretype(java.lang.String storetype)`
`void` | `setValidity(java.lang.String validity)`
`void` | `setVerbose(boolean verbose)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alias

    protected java.lang.String alias

  The alias of signer.

### keystore

    protected java.lang.String keystore

  The name of keystore file.

### storepass

    protected java.lang.String storepass

### storetype

    protected java.lang.String storetype

### keypass

    protected java.lang.String keypass

### sigalg

    protected java.lang.String sigalg

### keyalg

    protected java.lang.String keyalg

### dname

    protected java.lang.String dname

### expandedDname

    protected GenerateKey.DistinguishedName expandedDname

### keysize

    protected int keysize

### validity

    protected int validity

### verbose

    protected boolean verbose

Constructor Detail

### GenerateKey

    public GenerateKey()

Method Detail

### createDname

    public GenerateKey.DistinguishedName createDname()
                                              throws BuildException

### setDname

    public void setDname(java.lang.String dname)

### setAlias

    public void setAlias(java.lang.String alias)

### setKeystore

    public void setKeystore(java.lang.String keystore)

### setStorepass

    public void setStorepass(java.lang.String storepass)

### setStoretype

    public void setStoretype(java.lang.String storetype)

### setKeypass

    public void setKeypass(java.lang.String keypass)

### setSigalg

    public void setSigalg(java.lang.String sigalg)

### setKeyalg

    public void setKeyalg(java.lang.String keyalg)

### setKeysize

    public void setKeysize(java.lang.String keysize)
                    throws BuildException

### setValidity

    public void setValidity(java.lang.String validity)
                     throws BuildException

### setVerbose

    public void setVerbose(boolean verbose)

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.